BlocklyProp Solo, Launcher, and FAQ for Schools

Download Summary

BlocklyProp Solo is an online visual programming tool for Propeller microcontroller boards.  For the USB programming connection with your computer, you must first install the Launcher app.  For macOS prior to 10.15 "Catalina," special USB drivers are provided where needed for proper operation. 

The links below automatically deliver v1.0.1, released 5/27/2020, despite the Upload Date shown.

  • Teachers & IT Admins: Download the BlocklyProp Solo FAQ for Schools below before proceeding.
  • Chromebook users ONLY:  get the BlocklyProp Launcher from the chrome web store.

       BlocklyProp Launcher for Chromebook - Chrome Web Store

File NameSizeUpload Date
BlocklyProp-Solo-FAQ-for-Schools-v2.0.pdf130.13 KBThu, 2020-01-30 17:07
Setup-BPLauncher-Win.exe57.77 MBThu, 2020-01-30 17:07
Setup-BPLauncher-Win.exe.zip57.28 MBThu, 2020-01-30 17:07
Setup-BPLauncher-MacOS-Catalina.zip104.28 MBSun, 2020-03-29 21:15
Setup-BPLauncher-MacOS-Mojave.zip104.32 MBThu, 2020-03-26 11:24
Setup-BPLauncher-MacOS-High-Sierra.zip102.51 MBThu, 2020-03-26 11:24

Download Version & Details

See the About BlocklyProp Updates page in the Propeller BlocklyProp Block Reference.

Version Information for BlocklyProp Launcher

Version 1.0.1 (Released 5/27/2020)

  • Ports are managed much more naturally; often no user-selection need be made for wired port and newly-connected ports (wired or wireless) appear above previously existing ports of the same type

  • Fixed download failures, often during RAM Checksum step

  • Log view now auto-scrolls (can be overridden by user scroll)

  • Fixed port filtering to exclude Bluetooth ports

  • Signed and notarized Mac release to install and run properly on macOS Mojave and Catalina

  • NOTE: FTDI Drivers are required only on Mojave (and prior versions) of macOS; Catalina already includes compatible drivers

Running macOS Catalina?  Use the Setup-BPLauncher-MacOS-Catalina.zip

Running macOS Mojave?  Use the Setup-BPLauncher-MacOS-Mojave.zip

Running macOS High Sierra or older?  Use the Setup-BPLauncher-MacOS-High-Sierra.zip